## The table of contents

- <a href="#resource-partner.json">[emarketing] Partner API: Registration</a>
  - <a href="#link-POST-partner.json-https://app.emarketing.com/partner_api/signup">POST https://app.emarketing.com/partner_api/signup</a>
  - <a href="#link-GET-partner.json-https://app.emarketing.com/partner_api/jwt">GET https://app.emarketing.com/partner_api/jwt</a>
  - <a href="#link-PUT-partner.json-https://app.emarketing.com/partner_api/merchant_center/settings">PUT https://app.emarketing.com/partner_api/merchant_center/settings</a>
- <a href="#resource-partner_callbacks.json">[plugin] Partner API: Callbacks</a>
  - <a href="#link-POST-partner_callbacks.json-/registration-callback/authorizations">POST /registration-callback/authorizations</a>
- <a href="#resource-plugin.json">[plugin] Shopsystem API: Content</a>
  - <a href="#link-GET-plugin.json-https://your-shop.com/products">GET https://your-shop.com/products</a>
  - <a href="#link-GET-plugin.json-https://your-shop.com/categories">GET https://your-shop.com/categories</a>
  - <a href="#link-PUT-plugin.json-https://your-shop.com/conversion_tracker">PUT https://your-shop.com/conversion_tracker</a>
  - <a href="#link-PUT-plugin.json-https://your-shop.com/lead_tracker">PUT https://your-shop.com/lead_tracker</a>
- <a href="#resource-settings.json">[emarketing] Shopsystem API: Settings</a>
  - <a href="#link-PUT-settings.json-https://app.emarketing.com/shopsystem_api/settings">PUT https://app.emarketing.com/shopsystem_api/settings</a>
- <a href="#resource-site_verification.json">[emarketing] Shopsystem API: Site verification</a>
  - <a href="#link-POST-site_verification.json-https://app.emarketing.com/shopsystem_api/site_verification/verify">POST https://app.emarketing.com/shopsystem_api/site_verification/verify</a>
  - <a href="#link-GET-site_verification.json-https://app.emarketing.com/shopsystem_api/site_verification/token">GET https://app.emarketing.com/shopsystem_api/site_verification/token</a>
  - <a href="#link-POST-site_verification.json-https://app.emarketing.com/shopsystem_api/site_verification/claim">POST https://app.emarketing.com/shopsystem_api/site_verification/claim</a>

<a name="#resource-partner.json"></a>
## [emarketing] Partner API: Registration


Use this API to create new merchants and enable SSO for them. You need the partner secret given to you by emarketing to create a new merchant, for which you will receive an individual token upon signup. The token is of the form `password:uuid` (example: `57c294a897c5d9e8ab3f04b0c77dcd2a:d3378733-dbd3-40ec-958d-f02ddf20c13c`). You must store it securely, especially the password. Use the entire token to authenticate when using the remaining endpoints.

<a name="link-POST-partner.json-https://app.emarketing.com/partner_api/signup"></a>
### [emarketing] Partner API: Registration Signup

<details>
  <summary>Details</summary>

Used to register a new merchant

```
POST https://app.emarketing.com/partner_api/signup
```

#### Required Parameters

| Name | Type | Description | Example |
| ------- | ------- | ------- | ------- |
| **language** | *string* | Initially selected UI language<br/> **one of:**`"en"` or `"de"` or `"fr"` or `"es"` or `"it"` or `"nl"` | `"en"` |


#### Optional Parameters

| Name | Type | Description | Example |
| ------- | ------- | ------- | ------- |
| **adwords_id** | *integer* | Initially selected AdWords account ID | `1231231234` |
| **authorizations** | *array* | Specify additional APIs you want to use here | `["shopsystem_api"]` |
| **country** | *string* | Initially selected country<br/> **one of:**`"US"` or `"GB"` or `"DE"` or `"FR"` or `"JP"` or `"IT"` or `"ES"` or `"NL"` or `"BR"` or `"AU"` or `"CH"` or `"AT"` or `"BE"` or `"DK"` or `"MX"` or `"NO"` or `"PL"` or `"SE"` or `"TR"` or `"CZ"` or `"CA"` or `"IN"` or `"RU"` | `"US"` |
| **currency_code** | *string* | Initially selected currency<br/> **one of:**`"AED"` or `"ARS"` or `"AUD"` or `"BGN"` or `"BND"` or `"BOB"` or `"BRL"` or `"CAD"` or `"CHF"` or `"CLP"` or `"CNY"` or `"COP"` or `"CSD"` or `"CZK"` or `"DEM"` or `"DKK"` or `"EEK"` or `"EGP"` or `"EUR"` or `"FJD"` or `"FRF"` or `"GBP"` or `"HKD"` or `"HRK"` or `"HUF"` or `"IDR"` or `"ILS"` or `"INR"` or `"JOD"` or `"JPY"` or `"KES"` or `"KRW"` or `"LKR"` or `"LTL"` or `"MAD"` or `"MTL"` or `"MXN"` or `"MYR"` or `"NGN"` or `"NOK"` or `"NZD"` or `"PEN"` or `"PHP"` or `"PKR"` or `"PLN"` or `"ROL"` or `"RON"` or `"RSD"` or `"RUB"` or `"SAR"` or `"SEK"` or `"SGD"` or `"SIT"` or `"SKK"` or `"THB"` or `"TND"` or `"TRL"` or `"TRY"` or `"TWD"` or `"UAH"` or `"USD"` or `"UYU"` or `"VEB"` or `"VEF"` or `"VND"` or `"ZAR"` | `"EUR"` |
| **email** | *email* | Initially selected email address<br/> **pattern:** `^[a-z0-9.!#$%&'*+\/=?^_`{\|}~-]+@[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?(?:\.[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?)*$` | `"email@provider.com"` |
| **name** | *string* | Any name for the merchant. Can also be used to supply a seller id<br/> **pattern:** `^[$1\|$2]{1,200}$` | `"some-name"` |
| **registration_callback** | *nullable uri* | URL that is called once the user completes the first mandatory step of registration<br/> **pattern:** `^(https?):\/\/[^\s/$.?#].[^\s]*$` | `"https://myshop.org/shop1/emarketing_registration"` |


#### Curl Example

```bash
$ curl -n -X POST https://app.emarketing.com/partner_api/signup \
  -d '{
  "email": "email@provider.com",
  "adwords_id": 1231231234,
  "language": "en",
  "country": "US",
  "currency_code": "EUR",
  "name": "some-name",
  "registration_callback": "https://myshop.org/shop1/emarketing_registration",
  "authorizations": [
    "shopsystem_api"
  ]
}' \
  -H "Content-Type: application/json" \
  -H "Authorization: <partner secret>"
```


#### Response Example

```
HTTP/1.1 200 OK
```

```json
{
  "token": "899ba1457a5a7bf673a16236853db84f:1322457b-aadf-4204-b4c8-50d575e4804e"
}
```

</details>

<a name="link-GET-partner.json-https://app.emarketing.com/partner_api/jwt"></a>
### [emarketing] Partner API: Registration Login

<details>
  <summary>Details</summary>

Obtain a short-lived JWT for merchant login. To generate a login URL which you can redirect the user to, append the retrieved JWT to the end of: `https://app.emarketing.com/?jwt=`

```
GET https://app.emarketing.com/partner_api/jwt
```

#### Optional Parameters

| Name | Type | Description | Example |
| ------- | ------- | ------- | ------- |
| **token** | *string* | (**DEPRECATED**, use Authorization header instead) Token of the user retrieved from signup<br/> **pattern:** `^[0-9a-f]{32}(:[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})?$` | `"899ba1457a5a7bf673a16236853db84f:1322457b-aadf-4204-b4c8-50d575e4804e"` |


#### Curl Example

```bash
$ curl -n https://app.emarketing.com/partner_api/jwt \
 -G \
  -d token=899ba1457a5a7bf673a16236853db84f%3A1322457b-aadf-4204-b4c8-50d575e4804e \
  -H "Authorization: <user token from /signup>"
```


#### Response Example

```
HTTP/1.1 200 OK
```

```json
{
  "jwt": "asfji281248sdgsadfiu281294sdgsggnmkdgfdjfiasfj918491823njsdfgnjsdfn2"
}
```

</details>

<a name="link-PUT-partner.json-https://app.emarketing.com/partner_api/merchant_center/settings"></a>
### [emarketing] Partner API: Registration Merchant Center

<details>
  <summary>Details</summary>

Used to associate a merchant center account

```
PUT https://app.emarketing.com/partner_api/merchant_center/settings
```

#### Required Parameters

| Name | Type | Description | Example |
| ------- | ------- | ------- | ------- |
| **merchant_id** | *integer* | ID of the merchant center (sub)-account the user should be associated with | `1234567` |



#### Curl Example

```bash
$ curl -n -X PUT https://app.emarketing.com/partner_api/merchant_center/settings \
  -d '{
  "merchant_id": 1234567
}' \
  -H "Content-Type: application/json" \
  -H "Authorization: <user token from /signup>"
```


#### Response Example

```
HTTP/1.1 200 OK
```

```json
null
```

</details>


<a name="#resource-partner_callbacks.json"></a>
## [plugin] Partner API: Callbacks


This API must be implemented on your side, typically inside your user management / SSO system. For authentication, we are providing the merchant's UUID (which is part of the token you retrieved from signup).

<a name="link-POST-partner_callbacks.json-/registration-callback/authorizations"></a>
### [plugin] Partner API: Callbacks Authorizations

<details>
  <summary>Details</summary>

emarketing will notify you (see registration_callback) with your requested authorizations once the user completed the initial registration step. Please make sure to respond with initial setup data to make sure the user can start using the application right away: i.e. if you requested shopsystem_api, you should include shopsystem_api in the response with its corresponding attributes

```
POST /registration-callback/authorizations
```

#### Required Parameters

| Name | Type | Description | Example |
| ------- | ------- | ------- | ------- |
| **shopsystem_api:shop_token** | *string* | Token to be used with the shopsystem_api | `"asdjig812348rgh"` |



#### Curl Example

```bash
$ curl -n -X POST /registration-callback/authorizations \
  -d '{
  "shopsystem_api": {
    "shop_token": "asdjig812348rgh"
  }
}' \
  -H "Content-Type: application/json" \
  -H "Authorization: <UUID part of the merchant token from /signup>"
```


#### Response Example

```
HTTP/1.1 200 OK
```

```json
{
  "shopsystem_api": {
    "products_api_endpoint": "http://example.org/products",
    "categories_api_endpoint": "http://example.org/categories",
    "conversion_tracker_api_endpoint": "http://example.org/conversion_tracker",
    "lead_tracker_api_endpoint": "http://example.org/lead_tracker",
    "shop_category_root_id": "0"
  }
}
```

</details>


<a name="#resource-plugin.json"></a>
## [plugin] Shopsystem API: Content


This API must be implemented on your side, typically inside your shop plugin. For authentication, we are providing the shopsystem API token.


### Attributes

<details>
  <summary>Details</summary>


| Name | Type | Description | Example |
| ------- | ------- | ------- | ------- |
| **additional_image_links** | *nullable array* |  | `["https://cdn.example.org/gjdsf828dong2857/wooden-clubs-extra-large-2.png"]` |
| **additional_image_links** | *nullable array* |  | `["https://cdn.example.org/gjdsf828dong2857/wooden-clubs-extra-large-2.png"]` |
| **adult** | *nullable boolean* | Flag indicating if the product is targeted at an adult audience | `true` |
| **age_group** | *nullable string* | Target age group<br/> **one of:**`"newborn"` or `"infant"` or `"toddler"` or `"kids"` or `"adult"` or `null` | `"adult"` |
| **availability** | *nullable string* | Availability<br/> **one of:**`"in stock"` or `"out of stock"` or `"preorder"` or `null` | `"in stock"` |
| **availability_date** | *nullable string* | The day a pre-ordered product becomes available for delivery, in ISO 8601 format<br/> **pattern:** `^([0-9]{4})(-)?(1[0-2]|0[1-9])(?(2)-)(3[0-1]|0[1-9]|[1-2][0-9])$` | `"2018-01-01"` |
| **brand** | *nullable string* | Brand | `"SuperClubs"` |
| **categories** | *nullable array* |  | `["cat849"]` |
| **categories** | *nullable array* |  | `["cat849"]` |
| **color** | *nullable string* | Color | `"Brown"` |
| **condition** | *nullable string* | Condition<br/> **one of:**`"new"` or `"refurbished"` or `"used"` or `null` | `"new"` |
| **content_language** | *string* | The two-letter ISO 639-1 language code for the product. Names, descriptions and so on should be written in this language<br/> **one of:**`"aa"` or `"ab"` or `"ae"` or `"af"` or `"ak"` or `"am"` or `"an"` or `"ar"` or `"as"` or `"av"` or `"ay"` or `"az"` or `"ba"` or `"be"` or `"bg"` or `"bh"` or `"bi"` or `"bm"` or `"bn"` or `"bo"` or `"br"` or `"bs"` or `"ca"` or `"ce"` or `"ch"` or `"co"` or `"cr"` or `"cs"` or `"cu"` or `"cv"` or `"cy"` or `"da"` or `"de"` or `"dv"` or `"dz"` or `"ee"` or `"el"` or `"en"` or `"eo"` or `"es"` or `"et"` or `"eu"` or `"fa"` or `"ff"` or `"fi"` or `"fj"` or `"fo"` or `"fr"` or `"fy"` or `"ga"` or `"gd"` or `"gl"` or `"gn"` or `"gu"` or `"gv"` or `"ha"` or `"he"` or `"hi"` or `"ho"` or `"hr"` or `"ht"` or `"hu"` or `"hy"` or `"hz"` or `"ia"` or `"id"` or `"ie"` or `"ig"` or `"ii"` or `"ik"` or `"io"` or `"is"` or `"it"` or `"iu"` or `"ja"` or `"jv"` or `"ka"` or `"kg"` or `"ki"` or `"kj"` or `"kk"` or `"kl"` or `"km"` or `"kn"` or `"ko"` or `"kr"` or `"ks"` or `"ku"` or `"kv"` or `"kw"` or `"ky"` or `"la"` or `"lb"` or `"lg"` or `"li"` or `"ln"` or `"lo"` or `"lt"` or `"lu"` or `"lv"` or `"mg"` or `"mh"` or `"mi"` or `"mk"` or `"ml"` or `"mn"` or `"mr"` or `"ms"` or `"mt"` or `"my"` or `"na"` or `"nb"` or `"nd"` or `"ne"` or `"ng"` or `"nl"` or `"nn"` or `"no"` or `"nr"` or `"nv"` or `"ny"` or `"oc"` or `"oj"` or `"om"` or `"or"` or `"os"` or `"pa"` or `"pi"` or `"pl"` or `"ps"` or `"pt"` or `"qu"` or `"rm"` or `"rn"` or `"ro"` or `"ru"` or `"rw"` or `"sa"` or `"sc"` or `"sd"` or `"se"` or `"sg"` or `"si"` or `"sk"` or `"sl"` or `"sm"` or `"sn"` or `"so"` or `"sq"` or `"sr"` or `"ss"` or `"st"` or `"su"` or `"sv"` or `"sw"` or `"ta"` or `"te"` or `"tg"` or `"th"` or `"ti"` or `"tk"` or `"tl"` or `"tn"` or `"to"` or `"tr"` or `"ts"` or `"tt"` or `"tw"` or `"ty"` or `"ug"` or `"uk"` or `"ur"` or `"uz"` or `"ve"` or `"vi"` or `"vo"` or `"wa"` or `"wo"` or `"xh"` or `"yi"` or `"yo"` or `"za"` or `"zh"` or `"zu"` | `"en"` |
| **currency** | *nullable string* | The international 3-letter code as defined by the ISO 4217 standard | `"EUR"` |
| **description** | *nullable string* | Description of the product | `"This is the most exquisite wooden club ever devised"` |
| **destinations** | *nullable array* |  | `[{"destination_name":"Shopping","intention":"excluded"}]` |
| **destinations/destination_name** | *string* | The name of the destination<br/> **one of:**`"Shopping"` or `"Display Ads"` | `"Shopping"` |
| **destinations/intention** | *string* | Whether the destination is required, excluded or should be validated<br/> **one of:**`"default"` or `"excluded"` or `"optional"` or `"required"` | `"excluded"` |
| **energy_efficiency_class** | *nullable string* | The energy efficiency class as defined in EU directive 2010/30/EU<br/> **one of:**`"A"` or `"A+"` or `"A++"` or `"A+++"` or `"B"` or `"C"` or `"D"` or `"E"` or `"F"` or `"G"` or `null` | `"A+"` |
| **gender** | *nullable string* | Target gender<br/> **one of:**`"male"` or `"female"` or `"unisex"` or `null` | `"male"` |
| **google_category** | *nullable string* | Category string (full path) based on Google's product taxonomy. IDs are also allowed | `"Arts & Entertainment > Hobbies & Creative Arts > Collectibles > Collectible Weapons"` |
| **gtin** | *nullable string* | Global Trade Item Number | `"07350053850019"` |
| **id** | *string* | Must be unique across all of your products | `"clubs23-2"` |
| **image_url** | *nullable string* | URL of the main product image. Must be publicly accessible | `"https://cdn.example.org/gjdsf828dong2857/wooden-clubs-extra-large-1.png"` |
| **is_bundle** | *nullable boolean* | Whether the item is a merchant-defined bundle. A bundle is a custom grouping of different products sold by a merchant for a single price | `false` |
| **margin** | *nullable number* | Margin in percent | `3.4` |
| **material** | *nullable string* | Material | `"Wood"` |
| **mpn** | *nullable string* | Manufacturer part number | `"DKSHGHHHWHCL"` |
| **multipack** | *nullable integer* | The number of identical products in a merchant-defined multipack | `3` |
| **name** | *nullable string* | Primary name | `"Wooden club extra large"` |
| **parent_id** | *nullable string* | If this product is a variant, specify its parent product ID here | `"clubs23"` |
| **pattern** | *nullable string* | Pattern | `"With nails"` |
| **price** | *nullable number* | Current effective price without shipping, without discounts and including taxes | `99.99` |
| **promotion_id** | *nullable string* | The unique ID of a promotion | `"xmas22"` |
| **rrp** | *nullable number* | Recommended retail price | `119.99` |
| **sale_price** | *nullable number* | Current effective sale price without shipping and including taxes | `89.99` |
| **sale_price_effective_date** | *nullable string* | Date range during which the item is on sale<br/> **pattern:** `^([\+-]?\d{4}(?!\d{2}\b))((-?)((0[1-9]|1[0-2])(\3([12]\d|0[1-9]|3[01]))?|W([0-4]\d|5[0-2])(-?[1-7])?|(00[1-9]|0[1-9]\d|[12]\d{2}|3([0-5]\d|6[1-6])))([T\s]((([01]\d|2[0-3])((:?)[0-5]\d)?|24\:?00)([\.,]\d+(?!:))?)?(\17[0-5]\d([\.,]\d+)?)?([zZ]|([\+-])([01]\d|2[0-3]):?([0-5]\d)?)?)?)?(\/)([\+-]?\d{4}(?!\d{2}\b))((-?)((0[1-9]|1[0-2])(\3([12]\d|0[1-9]|3[01]))?|W([0-4]\d|5[0-2])(-?[1-7])?|(00[1-9]|0[1-9]\d|[12]\d{2}|3([0-5]\d|6[1-6])))([T\s]((([01]\d|2[0-3])((:?)[0-5]\d)?|24\:?00)([\.,]\d+(?!:))?)?(\17[0-5]\d([\.,]\d+)?)?([zZ]|([\+-])([01]\d|2[0-3]):?([0-5]\d)?)?)?)?$` | `"2016-02-24T13:00-0800/2016-02-29T15:30-0800"` |
| **sales** | *nullable object* |  | `null` |
| **sales:amazon** | *nullable integer* | Number of sales on Amazon | `2` |
| **sales:ebay** | *nullable integer* | Number of sales on eBay | `2` |
| **sales:other** | *nullable integer* | Number of sales through other channels | `2` |
| **sales:webshop** | *nullable integer* | Number of sales through webshop | `2` |
| **shipping** | *nullable array* |  | `[{"price":4.99,"country":"DE","service":"Express"}]` |
| **shipping/country** | *string* | Country the item ships to | `"DE"` |
| **shipping/price** | *number* | Shipping fee | `4.99` |
| **shipping/service** | *string* | A free-form description of the service class or delivery speed | `"Express"` |
| **shipping_height** | *nullable object* |  | `null` |
| **shipping_height:unit** | *string* | The unit of value<br/> **one of:**`"cm"` or `"in"` | `"cm"` |
| **shipping_height:value** | *number* | The dimension of the product used to calculate the shipping cost of the item | `80.5` |
| **shipping_length** | *nullable object* |  | `null` |
| **shipping_length:unit** | *string* | The unit of value<br/> **one of:**`"cm"` or `"in"` | `"cm"` |
| **shipping_length:value** | *number* | The dimension of the product used to calculate the shipping cost of the item | `80.5` |
| **shipping_weight** | *nullable object* |  | `null` |
| **shipping_weight:unit** | *string* | The unit of value<br/> **one of:**`"kg"` or `"lb"` | `"kg"` |
| **shipping_weight:value** | *number* | The weight of the product used to calculate the shipping cost of the item | `3.3` |
| **shipping_width** | *nullable object* |  | `null` |
| **shipping_width:unit** | *string* | The unit of value<br/> **one of:**`"cm"` or `"in"` | `"cm"` |
| **shipping_width:value** | *number* | The dimension of the product used to calculate the shipping cost of the item | `80.5` |
| **size** | *nullable string* | Size | `"XXL"` |
| **size_system** | *nullable string* | System in which the size is specified. Recommended for apparel items<br/> **one of:**`"AU"` or `"BR"` or `"CN"` or `"DE"` or `"EU"` or `"FR"` or `"IT"` or `"JP"` or `"MEX"` or `"UK"` or `"US"` or `null` | `"EU"` |
| **size_type** | *nullable string* | The cut of the item. Recommended for apparel items<br/> **one of:**`"regular"` or `"petite"` or `"plus"` or `"big and tall"` or `"maternity"` or `null` | `"regular"` |
| **stock_quantity** | *nullable integer* | Stock quantity | `22` |
| **target_country** | *string* | The country this item should be advertised in. If this product is supposed to be advertised in multiple countries, return the item multiple times with a different target_country and other adjusted attributes<br/> **one of:**`"US"` or `"GB"` or `"DE"` or `"FR"` or `"JP"` or `"IT"` or `"ES"` or `"NL"` or `"BR"` or `"AU"` or `"CH"` or `"AT"` or `"BE"` or `"DK"` or `"MX"` or `"NO"` or `"PL"` or `"SE"` or `"TR"` or `"CZ"` or `"CA"` or `"IN"` or `"RU"` | `"US"` |
| **unit_pricing_base_measure** | *nullable object* |  | `null` |
| **unit_pricing_base_measure:unit** | *string* | The unit of the denominator | `"cm"` |
| **unit_pricing_base_measure:value** | *integer* | The denominator of the unit price | `100` |
| **unit_pricing_measure** | *nullable object* |  | `null` |
| **unit_pricing_measure:unit** | *string* | The unit of the measure | `"cm"` |
| **unit_pricing_measure:value** | *number* | The measure of an item | `800.9` |
| **url** | *uri* | URL of the product page. Must be publicly accessible<br/> **pattern:** `^(https?):\/\/[^\s/$.?#].[^\s]*$` | `"https://example.org/shop1/wooden-clubs/extra-large-1"` |

</details>

<a name="link-GET-plugin.json-https://your-shop.com/products"></a>
### [plugin] Shopsystem API: Content Products

<details>
  <summary>Details</summary>

Used to retrieve a subset of products from the shop

```
GET https://your-shop.com/products
```

#### Required Parameters

| Name | Type | Description | Example |
| ------- | ------- | ------- | ------- |
| **limit** | *integer* | The number of products to return (guideline). You are allowed to return more or less items than specified here | `250` |
| **offset** | *integer* | The index to start returning products at | `500` |


#### Optional Parameters

| Name | Type | Description | Example |
| ------- | ------- | ------- | ------- |
| **limitvariants** | *integer* | The number of product variants per product to return (guideline) | `10` |


#### Curl Example

```bash
$ curl -n https://your-shop.com/products \
 -G \
  -d offset=500 \
  -d limit=250 \
  -d limitvariants=10 \
  -H "Authorization: <shopsystem-api token>"
```


#### Response Example

```
HTTP/1.1 200 OK
```

```json
{
  "products": [
    {
      "id": "clubs23-2",
      "parent_id": "clubs23",
      "target_country": "US",
      "content_language": "en",
      "categories": [
        "cat849"
      ],
      "name": "Wooden club extra large",
      "url": "https://example.org/shop1/wooden-clubs/extra-large-1",
      "image_url": "https://cdn.example.org/gjdsf828dong2857/wooden-clubs-extra-large-1.png",
      "description": "This is the most exquisite wooden club ever devised",
      "gtin": "07350053850019",
      "google_category": "Arts & Entertainment > Hobbies & Creative Arts > Collectibles > Collectible Weapons",
      "price": 99.99,
      "margin": 3.4,
      "rrp": 119.99,
      "currency": "EUR",
      "adult": true,
      "condition": "new",
      "availability": "in stock",
      "brand": "SuperClubs",
      "mpn": "DKSHGHHHWHCL",
      "size": "XXL",
      "size_type": "regular",
      "size_system": "EU",
      "color": "Brown",
      "pattern": "With nails",
      "material": "Wood",
      "age_group": "adult",
      "gender": "male",
      "unit_pricing_measure": {
        "unit": "cm",
        "value": 800.9
      },
      "unit_pricing_base_measure": {
        "unit": "cm",
        "value": 100
      },
      "stock_quantity": 22,
      "shipping": [
        {
          "price": 4.99,
          "country": "DE",
          "service": "Express"
        }
      ],
      "additional_image_links": [
        "https://cdn.example.org/gjdsf828dong2857/wooden-clubs-extra-large-2.png"
      ],
      "availability_date": "2018-01-01",
      "energy_efficiency_class": "A+",
      "destinations": [
        {
          "destination_name": "Shopping",
          "intention": "excluded"
        }
      ],
      "is_bundle": false,
      "multipack": 3,
      "promotion_id": "xmas22",
      "sale_price": 89.99,
      "sale_price_effective_date": "2016-02-24T13:00-0800/2016-02-29T15:30-0800",
      "shipping_length": {
        "unit": "cm",
        "value": 80.5
      },
      "shipping_width": {
        "unit": "cm",
        "value": 80.5
      },
      "shipping_height": {
        "unit": "cm",
        "value": 80.5
      },
      "shipping_weight": {
        "unit": "kg",
        "value": 3.3
      },
      "sales": {
        "amazon": 2,
        "ebay": 2,
        "webshop": 2,
        "other": 2
      }
    }
  ]
}
```

</details>

<a name="link-GET-plugin.json-https://your-shop.com/categories"></a>
### [plugin] Shopsystem API: Content Categories

<details>
  <summary>Details</summary>

Used to retrieve a single category from the shop

```
GET https://your-shop.com/categories
```

#### Required Parameters

| Name | Type | Description | Example |
| ------- | ------- | ------- | ------- |
| **id** | *string* | Unique ID of the category to retrieve | `"cats55"` |



#### Curl Example

```bash
$ curl -n https://your-shop.com/categories \
 -G \
  -d id=cats55 \
  -H "Authorization: <shopsystem-api token>"
```


#### Response Example

```
HTTP/1.1 200 OK
```

```json
{
  "id": "cats55",
  "name": "Wooden clubs",
  "url": "https://example.org/shop1/categories/wooden-clubs",
  "children": [
    "cats551"
  ]
}
```

</details>

<a name="link-PUT-plugin.json-https://your-shop.com/conversion_tracker"></a>
### [plugin] Shopsystem API: Content Conversion tracker

<details>
  <summary>Details</summary>

Used to update the conversion tracker

```
PUT https://your-shop.com/conversion_tracker
```

#### Required Parameters

| Name | Type | Description | Example |
| ------- | ------- | ------- | ------- |
| **snippet** | *nullable string* | The event snippet that works with the global site tag to track actions that should be counted as conversions | `"<!-- Event snippet for 86urrt conversion page -->\n<script>\n  gtag('event', 'conversion', {\n      'send_to': 'AW-823gsgsdf123123',\n      'transaction_id': ''\n  });\n</script>"` |
| **tag** | *nullable string* | The global site tag that adds visitors to your basic remarketing lists and sets new cookies on your domain, which will store information about the ad click that brought a user to your website | `"<!-- Global site tag (gtag.js) - Google AdWords: 12345678 -->\n<script async src=\"https://www.googletagmanager.com/gtag/js?id=AW-12345678\"></script>\n<script>\n  window.dataLayer = window.dataLayer \|\| [];\n  function gtag(){dataLayer.push(arguments);}\n  gtag('js', new Date());\n\n  gtag('config', 'AW-12345678');\n</script>"` |



#### Curl Example

```bash
$ curl -n -X PUT https://your-shop.com/conversion_tracker \
  -d '{
  "snippet": "<!-- Event snippet for 86urrt conversion page -->\n<script>\n  gtag('event', 'conversion', {\n      'send_to': 'AW-823gsgsdf123123',\n      'transaction_id': ''\n  });\n</script>",
  "tag": "<!-- Global site tag (gtag.js) - Google AdWords: 12345678 -->\n<script async src=\"https://www.googletagmanager.com/gtag/js?id=AW-12345678\"></script>\n<script>\n  window.dataLayer = window.dataLayer || [];\n  function gtag(){dataLayer.push(arguments);}\n  gtag('js', new Date());\n\n  gtag('config', 'AW-12345678');\n</script>"
}' \
  -H "Content-Type: application/json" \
  -H "Authorization: <shopsystem-api token>"
```


#### Response Example

```
HTTP/1.1 200 OK
```

```json
null
```

</details>

<a name="link-PUT-plugin.json-https://your-shop.com/lead_tracker"></a>
### [plugin] Shopsystem API: Content Lead tracker

<details>
  <summary>Details</summary>

Used to update the lead tracker (DEPRECATED)

```
PUT https://your-shop.com/lead_tracker
```

#### Required Parameters

| Name | Type | Description | Example |
| ------- | ------- | ------- | ------- |
| **snippet** | *nullable string* | The event snippet that works with the global site tag to track actions that should be counted as conversions | `"<!-- Event snippet for 86urrt conversion page -->\n<script>\n  gtag('event', 'conversion', {\n      'send_to': 'AW-823gsgsdf123123',\n      'transaction_id': ''\n  });\n</script>"` |
| **tag** | *nullable string* | The global site tag that adds visitors to your basic remarketing lists and sets new cookies on your domain, which will store information about the ad click that brought a user to your website | `"<!-- Global site tag (gtag.js) - Google AdWords: 12345678 -->\n<script async src=\"https://www.googletagmanager.com/gtag/js?id=AW-12345678\"></script>\n<script>\n  window.dataLayer = window.dataLayer \|\| [];\n  function gtag(){dataLayer.push(arguments);}\n  gtag('js', new Date());\n\n  gtag('config', 'AW-12345678');\n</script>"` |



#### Curl Example

```bash
$ curl -n -X PUT https://your-shop.com/lead_tracker \
  -d '{
  "snippet": "<!-- Event snippet for 86urrt conversion page -->\n<script>\n  gtag('event', 'conversion', {\n      'send_to': 'AW-823gsgsdf123123',\n      'transaction_id': ''\n  });\n</script>",
  "tag": "<!-- Global site tag (gtag.js) - Google AdWords: 12345678 -->\n<script async src=\"https://www.googletagmanager.com/gtag/js?id=AW-12345678\"></script>\n<script>\n  window.dataLayer = window.dataLayer \|\| [];\n  function gtag(){dataLayer.push(arguments);}\n  gtag('js', new Date());\n\n  gtag('config', 'AW-12345678');\n</script>"
}' \
  -H "Content-Type: application/json" \
  -H "Authorization: <shopsystem-api token>"
```


#### Response Example

```
HTTP/1.1 200 OK
```

```json
null
```

</details>


<a name="#resource-settings.json"></a>
## [emarketing] Shopsystem API: Settings


Use this API to update shopsystem related settings. For authentication, use the shopsystem API token retrieved from signup.

<a name="link-PUT-settings.json-https://app.emarketing.com/shopsystem_api/settings"></a>
### [emarketing] Shopsystem API: Settings Settings

<details>
  <summary>Details</summary>

Configure the shop's endpoints and root category ID

```
PUT https://app.emarketing.com/shopsystem_api/settings
```

#### Required Parameters

| Name | Type | Description | Example |
| ------- | ------- | ------- | ------- |
| **categories_api_endpoint** | *uri* | Used to retrieve categories<br/> **pattern:** `^(https?):\/\/[^\s/$.?#].[^\s]*$` | `"http://example.org/categories"` |
| **products_api_endpoint** | *uri* | Used to retrieve products<br/> **pattern:** `^(https?):\/\/[^\s/$.?#].[^\s]*$` | `"http://example.org/products"` |
| **shop_category_root_id** | *string* | The ID of the root category | `"0"` |


#### Optional Parameters

| Name | Type | Description | Example |
| ------- | ------- | ------- | ------- |
| **conversion_tracker_api_endpoint** | *uri* | Used to update the AdWords conversion tracker<br/> **pattern:** `^(https?):\/\/[^\s/$.?#].[^\s]*$` | `"http://example.org/conversion_tracker"` |
| **lead_tracker_api_endpoint** | *uri* | Used to update the AdWords lead tracker (DEPRECATED)<br/> **pattern:** `^(https?):\/\/[^\s/$.?#].[^\s]*$` | `"http://example.org/lead_tracker"` |


#### Curl Example

```bash
$ curl -n -X PUT https://app.emarketing.com/shopsystem_api/settings \
  -d '{
  "products_api_endpoint": "http://example.org/products",
  "categories_api_endpoint": "http://example.org/categories",
  "conversion_tracker_api_endpoint": "http://example.org/conversion_tracker",
  "lead_tracker_api_endpoint": "http://example.org/lead_tracker",
  "shop_category_root_id": "0"
}' \
  -H "Content-Type: application/json" \
  -H "Authorization: <shopsystem-api token>"
```


#### Response Example

```
HTTP/1.1 200 OK
```

```json
null
```

</details>


<a name="#resource-site_verification.json"></a>
## [emarketing] Shopsystem API: Site verification


Use this API to handle site verification. For authentication, use the shopsystem API token retrieved from signup.

<a name="link-POST-site_verification.json-https://app.emarketing.com/shopsystem_api/site_verification/verify"></a>
### [emarketing] Shopsystem API: Site verification Verify

<details>
  <summary>Details</summary>

Test if the user is allowed to use the given site

```
POST https://app.emarketing.com/shopsystem_api/site_verification/verify
```

#### Required Parameters

| Name | Type | Description | Example |
| ------- | ------- | ------- | ------- |
| **url** | *uri* | The site to verify. Must end with a slash (/)<br/> **pattern:** `^(https?):\/\/[^\s/$.?#].[^\s]*$` | `"https://example.org/shop1/"` |



#### Curl Example

```bash
$ curl -n -X POST https://app.emarketing.com/shopsystem_api/site_verification/verify \
  -d '{
  "url": "https://example.org/shop1/"
}' \
  -H "Content-Type: application/json" \
  -H "Authorization: <shopsystem-api token>"
```


#### Response Example

```
HTTP/1.1 200 OK
```

```json
{
  "verified": true
}
```

</details>

<a name="link-GET-site_verification.json-https://app.emarketing.com/shopsystem_api/site_verification/token"></a>
### [emarketing] Shopsystem API: Site verification Token

<details>
  <summary>Details</summary>

Returns a <meta> tag to be included on your shop's main page. Please note that your site or the domain it uses may already be verified, so it is recommended to first check for the verification status - if the site is verified already, you do not need to retrieve a token or make any changes inside your shop

```
GET https://app.emarketing.com/shopsystem_api/site_verification/token
```

#### Required Parameters

| Name | Type | Description | Example |
| ------- | ------- | ------- | ------- |
| **url** | *uri* | The site to retrieve a token for. Must end with a slash (/)<br/> **pattern:** `^(https?):\/\/[^\s/$.?#].[^\s]*$` | `"https://example.org/shop1/"` |



#### Curl Example

```bash
$ curl -n https://app.emarketing.com/shopsystem_api/site_verification/token \
 -G \
  -d url=https%3A%2F%2Fexample.org%2Fshop1%2F \
  -H "Authorization: <shopsystem-api token>"
```


#### Response Example

```
HTTP/1.1 200 OK
```

```json
{
  "token": "<meta name=\"google-site-verification\" content=\"S4Guhe2ztRFyVM-61j681JcBUTPasdas222eW8d5ItDuyrsU\" />"
}
```

</details>

<a name="link-POST-site_verification.json-https://app.emarketing.com/shopsystem_api/site_verification/claim"></a>
### [emarketing] Shopsystem API: Site verification Site

<details>
  <summary>Details</summary>

Claims the site inside the user's merchant center account. You must claim the site after you verified it. It may be possible that the site has been claimed by another merchant center account already. In this case, the endpoint will return false and the user won't be able to advertise products with emarketing

```
POST https://app.emarketing.com/shopsystem_api/site_verification/claim
```

#### Required Parameters

| Name | Type | Description | Example |
| ------- | ------- | ------- | ------- |
| **url** | *uri* | The site to claim. Must end with a slash (/)<br/> **pattern:** `^(https?):\/\/[^\s/$.?#].[^\s]*$` | `"https://example.org/shop1/"` |



#### Curl Example

```bash
$ curl -n -X POST https://app.emarketing.com/shopsystem_api/site_verification/claim \
  -d '{
  "url": "https://example.org/shop1/"
}' \
  -H "Content-Type: application/json" \
  -H "Authorization: <shopsystem-api token>"
```


#### Response Example

```
HTTP/1.1 200 OK
```

```json
{
  "claimed": true
}
```

</details>

