<?php
/**
 * Created by PhpStorm.
 * User: spookee
 * Date: 13.09.18
 * Time: 10:21
 */

namespace WS\EMarketing\Resource;

/**
 * Class Category
 * @package WS\EMarketing\Resource
 */
class Category extends AbstractResource
{

    /**
     * @var string
     */
    public $id;

    /**
     * @var string
     */
    public $name;

    /**
     * @var string
     */
    public $url;

    /**
     * @var string[]
     */
    public $children;

    /**
     * Checks if resource is valid
     *
     * @return bool
     */
    public function isValid(&$errorMessage)
    {
        if (!$this->_isValidString('id', $this->id, $errorMessage, false)) {
            return false;
        }
        if (!$this->_isValidString('name', $this->name, $errorMessage, false)) {
            return false;
        }
        if (!$this->_isValidArray('children', $this->children, $errorMessage, true)) {
            return false;
        }
        if (!$this->_isValidRegexString('url', $this->url, $errorMessage, '/^(https?):\/\/[^\s\/$.?#].[^\s]*$/', false)) {
            return false;
        }
        return true;
    }
}