<?php
/**
 * Created by PhpStorm.
 * User: spookee
 * Date: 13.09.18
 * Time: 13:42
 */

namespace WS\EMarketing\Resource;


class UnitValue extends AbstractResource
{

    const UNIT_OZ = 'oz';
    const UNIT_LB = 'lb';
    const UNIT_MG = 'mg';
    const UNIT_G = 'g';
    const UNIT_KG = 'kg';

    const UNIT_IN = 'in';
    const UNIT_FT = 'ft';
    const UNIT_YD = 'yd';
    const UNIT_CM = 'cm';
    const UNIT_M = 'm';

    const UNIT_FLOZ = 'floz';
    const UNIT_PT = 'pt';
    const UNIT_QT = 'qt';
    const UNIT_GAL = 'gal';

    const UNIT_ML = 'ml';
    const UNIT_CL = 'cl';
    const UNIT_L = 'l';
    const UNIT_CBM = 'cbm';

    const UNIT_SQM = 'sqm';
    const UNIT_SQFT = 'sqft';
    /**
     * - The unit of value one of:"cm" or "in"
     * - The unit of value one of:"kg" or "lb"
     *
     * @var string;
     */
    public $unit;
    /**
     * - The dimension of the product used to calculate the shipping cost of the item
     * - The weight of the product used to calculate the shipping cost of the item
     *
     * @var float
     */
    public $value;

    /**
     * UnitValue constructor.
     *
     * @param float $value
     * @param string $unit
     */
    public function __construct($value, $unit)
    {
        $this->value = (float)$value;
        $this->unit = $unit;
    }

    /**
     * Checks if resource is valid
     *
     * @return bool
     */
    public function isValid(&$errorMessage)
    {

        if (!$this->_isValidSet('unit', strtolower($this->unit), $errorMessage, self::Units(), false)) {
            return false;
        }
        if (!$this->_isValidNumber('value', $this->value, $errorMessage, false)) {
            return false;
        }

        return true;
    }

    /**
     * @return string[]
     */
    public static function Units()
    {
        return [self::UNIT_OZ,
            self::UNIT_LB,
            self::UNIT_MG,
            self::UNIT_G,
            self::UNIT_KG,
            self::UNIT_IN,
            self::UNIT_FT,
            self::UNIT_YD,
            self::UNIT_CM,
            self::UNIT_M,
            self::UNIT_FLOZ,
            self::UNIT_PT,
            self::UNIT_QT,
            self::UNIT_GAL,
            self::UNIT_ML,
            self::UNIT_CL,
            self::UNIT_L,
            self::UNIT_CBM,
            self::UNIT_SQM,
            self::UNIT_SQFT,];
    }
}