<?php
/**
 * Created by PhpStorm.
 * User: spookee
 * Date: 18.09.18
 * Time: 13:56
 */

namespace WS\EMarketing\Shop\Request;


use WS\EMarketing\Exception\ResponseException;

class RegistrationCallback extends AbstractRequest
{

    const AUTH_VALUE_SHOPTOKEN = 'shop_token';
    const AUTH_API_SHOPSYSTEM = 'shopsystem_api';

    /**
     * @var mixed
     */
    protected $_json;

    /** @noinspection MagicMethodsValidityInspection */

    /**
     * RegistrationCallback constructor.
     * @param $data
     * @throws ResponseException
     */
    public function __construct($data)
    {
        $this->_data = $data;
        $this->_json = json_decode($data, true);
        if ($this->_json === null) {
            throw new ResponseException('JSON Response konnte nicht decodiert werden: ' . print_r($data, 1));
        }
    }

    /**
     * @param $name
     * @param $value
     * @return bool
     */
    public function hasAuthorizationValue($name, $value)
    {
        return $this->hasAuthorization($name) && array_key_exists($value, $this->_json[$name]);
    }

    /**
     * @param $name
     * @return bool
     */
    public function hasAuthorization($name)
    {
        return array_key_exists($name, $this->_json);
    }

    /**
     * @param $name
     * @return mixed
     */
    public function getAuthorization($name)
    {
        return $this->_json[$name];
    }

    /**
     * @param $name
     * @param $value
     * @return mixed
     */
    public function getAuthorizationValue($name, $value)
    {
        return $this->_json[$name][$value];
    }

    /**
     * @return bool
     */
    public function dataIsValid()
    {
        return true;
    }
}